
%define qtdir %_qt3dir

%define ver 0.6.11
%define vrel 1

Name: esvn
Summary: eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system
Version: %ver
Release: alt3
Source: http://esvn.umputun.com/%name-%ver-%vrel.tar.gz
Patch0: esvn.patch
Group: Development/Other
URL: http://esvn.umputun.com/
License: GPL
Requires: subversion

BuildPreReq: gcc-c++ libqt3-devel libqt3-settings menu-devel

%description
eSvn is a cross-platform (QT-based) GUI frontend for the Subversion revision system.

Author:
-------
Eugene Bort <esvn@umputun.com>

%prep
%setup -q -n %name
%__subst s/doc\\/esvn/doc\\/esvn-%ver/ src/mainwindow.cpp

%patch0 -p1

%build
PATH=$PATH:%qtdir/bin
qmake esvn.pro
qmake esvn-diff-wrapper.pro
%__subst s/-fno-exceptions/-fexceptions/ esvn.mak
%__subst s/-fno-exceptions/-fexceptions/ esvn-diff-wrapper.mak
%__make -f esvn.mak
%__make -f esvn-diff-wrapper.mak

%install
%__mkdir_p %buildroot/{%_bindir,%_datadir/pixmaps,%_datadir/applications,%_docdir/%name-%version}
%__install -m755 %name %buildroot%_bindir/%name
%__install -m755 esvn-diff-wrapper %buildroot%_bindir/esvn-diff-wrapper
%__install -m644 %name.png %buildroot/%_datadir/pixmaps/%name.png
%__install -m644 eSvn.desktop %buildroot%_datadir/applications/%name.desktop
%__install -m644 AUTHORS COPYING LICENSE README VERSION ChangeLog %buildroot%_docdir/%name-%version
cp -f -r html-docs %buildroot/%_docdir/%name-%version/

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/%name
%_bindir/esvn-diff-wrapper
%_datadir/pixmaps/%name.png
%_datadir/applications/%name.desktop
%dir %_docdir/%name-%version
%dir %_docdir/%name-%version/html-docs
%_docdir/%name-%version/*

%changelog
* Sat Sep 23 2006 Alexei Takaseev <taf@altlinux.ru> 0.6.11-alt3
- fix build on x86_64

* Tue Sep 19 2006 Alexei Takaseev <taf@altlinux.ru> 0.6.11-alt2
- Fix build

* Sun Jul 17 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.11-alt1
- 0.6.11

* Sat Jun 18 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.9-alt2
- added require subversion (#6720)

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.9-alt1
- 0.6.9

* Sat Jan 22 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.8-alt2
- clean buildrequires

* Wed Jan 12 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.8-alt1
- 0.6.8

* Thu Jan 06 2005 Ivan Fedorov <ns@altlinux.ru> 0.6.7-alt1
- 0.6.7

* Sat Dec 11 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.6-alt1
- 0.6.6

* Fri Dec 10 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.5-alt2
- 0.6.5-2

* Thu Dec 09 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Thu Oct 28 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.4-alt1
- 0.6.4

* Sun Sep 26 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.3-alt2
- Fixing help browser

* Sun Sep 26 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.3-alt1
- 0.6.3

* Thu Sep 16 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.2-alt2
- Fixing menu
- Rewriting spec

* Tue Sep 14 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Fri Sep 03 2004 Ivan Fedorov <ns@altlinux.ru> 0.6.0-alt1
- Initial build

